org.eclipse.cdt.doxygen.core

## Interface DoxygenPreferences

    public interface DoxygenPreferences

### Method Summary

All Methods Instance Methods Abstract Methods
`DoxygenMetadata` `metadata()` Return the metadata for the options to be used in UI, must not return `null`
`OptionStorage` `projectStorage(org.eclipse.core.resources.IProject project)` Returns the project-specific storage for doxygen options to be used in UI, must not return `null`
`OptionStorage` `workspaceStorage()` Returns the workspace storage for doxygen options to be used in UI, must not return `null`

### Method Detail

#### workspaceStorage

    OptionStorage workspaceStorage()

Returns the workspace storage for doxygen options to be used in UI, must not return `null`

Returns:
  the workspace storage for doxygen options

#### projectStorage

    OptionStorage projectStorage(org.eclipse.core.resources.IProject project)

Returns the project-specific storage for doxygen options to be used in UI, must not return `null`

Parameters:
  `project` - scope for the storage, must not be `null`
Returns:
  the project-specific storage for doxygen options

#### metadata

    DoxygenMetadata metadata()

Return the metadata for the options to be used in UI, must not return `null`

Returns:
  the doxygen option metadata